Kling Videos
curl --request POST \
--url https://api.acedata.cloud/kling/videos \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"action": "text2video"
}
'import requests
url = "https://api.acedata.cloud/kling/videos"
payload = { "action": "text2video" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({action: 'text2video'})
};
fetch('https://api.acedata.cloud/kling/videos', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"success": true,
"video_id": "874430024148336656",
"video_url": "https://storage.example.com/kling-video-output.mp4",
"duration": "5.041",
"state": "succeed",
"task_id": "ff4466c9-015e-4ab9-aabf-a70579ed5de1",
"started_at": "2026-04-18T10:41:18.652Z",
"finished_at": "2026-04-18T10:42:14.473Z",
"elapsed": 55.821
}{
"error": {
"code": "token_mismatched",
"message": "The specified token is not matched with API."
},
"trace_id": "2efa9340-b21b-4e26-9e14-4aac95f343ab"
}{
"error": {
"code": "invalid_token",
"message": "The specified token is invalid or wrong."
},
"trace_id": "2efa9340-b21b-4e26-9e14-4aac95f343ab"
}{
"error": {
"code": "used_up",
"message": "Your balance is not sufficient for current request, please buy more in Ace Data Cloud."
},
"trace_id": "2efa9340-b21b-4e26-9e14-4aac95f343ab"
}{
"error": {
"code": "no_api",
"message": "API does not exist, please make sure url is correct."
},
"trace_id": "2efa9340-b21b-4e26-9e14-4aac95f343ab"
}{
"error": {
"code": "too_many_requests",
"message": "You have exceeded the rate limit."
},
"trace_id": "2efa9340-b21b-4e26-9e14-4aac95f343ab"
}{
"error": {
"code": "api_error",
"message": "Internal server error."
},
"trace_id": "2efa9340-b21b-4e26-9e14-4aac95f343ab"
}API Reference
Kling Videos
POST
/
kling
/
videos
Kling Videos
curl --request POST \
--url https://api.acedata.cloud/kling/videos \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"action": "text2video"
}
'import requests
url = "https://api.acedata.cloud/kling/videos"
payload = { "action": "text2video" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({action: 'text2video'})
};
fetch('https://api.acedata.cloud/kling/videos', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"success": true,
"video_id": "874430024148336656",
"video_url": "https://storage.example.com/kling-video-output.mp4",
"duration": "5.041",
"state": "succeed",
"task_id": "ff4466c9-015e-4ab9-aabf-a70579ed5de1",
"started_at": "2026-04-18T10:41:18.652Z",
"finished_at": "2026-04-18T10:42:14.473Z",
"elapsed": 55.821
}{
"error": {
"code": "token_mismatched",
"message": "The specified token is not matched with API."
},
"trace_id": "2efa9340-b21b-4e26-9e14-4aac95f343ab"
}{
"error": {
"code": "invalid_token",
"message": "The specified token is invalid or wrong."
},
"trace_id": "2efa9340-b21b-4e26-9e14-4aac95f343ab"
}{
"error": {
"code": "used_up",
"message": "Your balance is not sufficient for current request, please buy more in Ace Data Cloud."
},
"trace_id": "2efa9340-b21b-4e26-9e14-4aac95f343ab"
}{
"error": {
"code": "no_api",
"message": "API does not exist, please make sure url is correct."
},
"trace_id": "2efa9340-b21b-4e26-9e14-4aac95f343ab"
}{
"error": {
"code": "too_many_requests",
"message": "You have exceeded the rate limit."
},
"trace_id": "2efa9340-b21b-4e26-9e14-4aac95f343ab"
}{
"error": {
"code": "api_error",
"message": "Internal server error."
},
"trace_id": "2efa9340-b21b-4e26-9e14-4aac95f343ab"
}인증
API token from https://platform.acedata.cloud
헤더
Kling Videos Param Accept
사용 가능한 옵션:
application/json 본문
application/json
Kling Videos Action
사용 가능한 옵션:
text2video, image2video, extend Kling Videos Mode
사용 가능한 옵션:
std, pro, 4k Kling Videos Model
사용 가능한 옵션:
kling-v1, kling-v1-6, kling-v2-master, kling-v2-1-master, kling-v2-5-turbo, kling-v2-6, kling-v3, kling-v3-omni, kling-video-o1 Kling Videos Prompt
예시:
"White ceramic coffee mug on glossy marble countertop with morning window light. Camera slowly rotates 360 degrees around the mug, pausing briefly at the handle."
Kling Videos Duration
사용 가능한 옵션:
5, 10 Kling Videos Generate Audio
Kling Videos Video Id
Kling Videos Cfg Scale
Kling Videos Aspect Ratio
사용 가능한 옵션:
16:9, 9:16, 1:1 Kling Videos Callback Url
Kling Videos Async
Kling Videos End Image Url
Kling Videos Camera Control
Kling Videos Element List
Kling Videos Video List
Kling Videos Negative Prompt
Kling Videos Start Image Url

